.speaking {
	box-shadow: #19c708 0 0 2vmin .3vmin;
	transition: .3s;
}

.chat-icon {
    height: 4vmin;
    cursor: pointer
}

.icon {
    height: 4vh;
    cursor: pointer;
    pointer-events: none
}

#hangup {
    margin-left: 4vmax
}

#hangup:hover {
    box-shadow: inset 0 -2px 3vmax var(--close-color);
}

#main {
    width: 100%;
    height: 100%;
    overflow: hidden;
	display: flex;
    justify-content: center
}

.doyouwanttoenter #main {
	display: none;
}

.doyouwanttoenter #doyouwanttoenter {
	display: flex;
}

.name-div {
	padding: .5vh;
    margin-top: -4.25vh;
    text-align: left;
    font-size: 2vh;
}

#video-content {
    display: grid;
    flex-direction: column;
    overflow-y: hidden;
    background: rgba(var(--menu-color));
    height: 100%;
}

#main-videos {
    height: 55%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: nowrap;
}

#main-videos:empty:before {
    content: 'Ожидаем включения видео...';
    color: #ffffffde;
	font-size: 5vh
}

#main-videos video {
	height: auto;
	width: 100%;
	max-height: 100%;
	border-radius: .5vmax;
	background-color: #fff;
	background-image: url(/res/imgs/user.svg);
	background-position: center center;
	background-size: contain;
	background-repeat: no-repeat
}

#all-videos {
    display: flex;
    max-width: 100vw;
    flex-direction: row;
    overflow: hidden;
    justify-content: space-around;
    height: 45%;
}

.all-videos-div {
    display: flex;
    flex-direction: row;
    overflow-y: hidden;
    justify-content: space-around;
    height: 100%;
}

#all-videos-content {
    max-width: 95%;
    height: 100%;
}

#all-videos-content .contain-div {
	margin-right: 2vw;
	max-width: fit-content;
	max-height: 90%;
}

.contain-div {max-width: 100%;max-height: 100%;flex: 1 1 30%;display: flex;flex-direction: column;justify-content: center;}

#all-videos video {
    background: #fff;
    background-image: url(/res/imgs/user.svg);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: .5vmax;
    height: 100%;
}

#bottomButtons {
    display: inline-flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    flex-direction: row-reverse;
    position: absolute;
    bottom: 0;
    padding: .5vh
}

.bottom-icon-button {
    color: #fff;
    border-radius: 2vh;
    font-size: .9em;
    transform-origin: 0 0;
    transform: translate3d(0, 0, 0);
    transition: all .2s ease;
    border: 0;
    font-family: Mulish;
    background: 0;
    margin-right: .5vw;
    background: rgba(var(--menu-color));
    padding: 1vmin;
    height: 6vh;
    width: 6vh;
    margin-left: .5vw
}

.bottom-icon-button:active,
.bottom-icon-button:hover {
    font-weight: 850;
    background: var(--main-inputs);
    box-shadow: inset 0 -2px 0 #d3d3d3
}


::-webkit-scrollbar {
    height: .5vmax;
    background-color: #ffffff00
}

::-webkit-scrollbar-thumb {
    border-radius: .5vmax;
    background-color: #d3d3d3
}

#mainpage {
    height: 100%;
}

#in {
	background: rgba(var(--menu-color));
}

#in1 {
    width: 80%;
    display: var(--in1)
}

#in2 {
    width: 100%;
    display: var(--in2)
}

#chat {
    width: 30vw;
    display: var(--chat);
    background: rgba(var(--menu-color));
    height: 100%;
}

#messages-content {
    height: 100%;
	width: 100%;
}

#messages {
    height: 100%;
}

#inText {    
	height: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
	max-height: 20vh;
}